"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CodeCommitClient_1 = require("./CodeCommitClient");
var BatchDescribeMergeConflictsCommand_1 = require("./commands/BatchDescribeMergeConflictsCommand");
var BatchGetRepositoriesCommand_1 = require("./commands/BatchGetRepositoriesCommand");
var CreateBranchCommand_1 = require("./commands/CreateBranchCommand");
var CreateCommitCommand_1 = require("./commands/CreateCommitCommand");
var CreatePullRequestCommand_1 = require("./commands/CreatePullRequestCommand");
var CreateRepositoryCommand_1 = require("./commands/CreateRepositoryCommand");
var CreateUnreferencedMergeCommitCommand_1 = require("./commands/CreateUnreferencedMergeCommitCommand");
var DeleteBranchCommand_1 = require("./commands/DeleteBranchCommand");
var DeleteCommentContentCommand_1 = require("./commands/DeleteCommentContentCommand");
var DeleteFileCommand_1 = require("./commands/DeleteFileCommand");
var DeleteRepositoryCommand_1 = require("./commands/DeleteRepositoryCommand");
var DescribeMergeConflictsCommand_1 = require("./commands/DescribeMergeConflictsCommand");
var DescribePullRequestEventsCommand_1 = require("./commands/DescribePullRequestEventsCommand");
var GetBlobCommand_1 = require("./commands/GetBlobCommand");
var GetBranchCommand_1 = require("./commands/GetBranchCommand");
var GetCommentCommand_1 = require("./commands/GetCommentCommand");
var GetCommentsForComparedCommitCommand_1 = require("./commands/GetCommentsForComparedCommitCommand");
var GetCommentsForPullRequestCommand_1 = require("./commands/GetCommentsForPullRequestCommand");
var GetCommitCommand_1 = require("./commands/GetCommitCommand");
var GetDifferencesCommand_1 = require("./commands/GetDifferencesCommand");
var GetFileCommand_1 = require("./commands/GetFileCommand");
var GetFolderCommand_1 = require("./commands/GetFolderCommand");
var GetMergeCommitCommand_1 = require("./commands/GetMergeCommitCommand");
var GetMergeConflictsCommand_1 = require("./commands/GetMergeConflictsCommand");
var GetMergeOptionsCommand_1 = require("./commands/GetMergeOptionsCommand");
var GetPullRequestCommand_1 = require("./commands/GetPullRequestCommand");
var GetRepositoryCommand_1 = require("./commands/GetRepositoryCommand");
var GetRepositoryTriggersCommand_1 = require("./commands/GetRepositoryTriggersCommand");
var ListBranchesCommand_1 = require("./commands/ListBranchesCommand");
var ListPullRequestsCommand_1 = require("./commands/ListPullRequestsCommand");
var ListRepositoriesCommand_1 = require("./commands/ListRepositoriesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var MergeBranchesByFastForwardCommand_1 = require("./commands/MergeBranchesByFastForwardCommand");
var MergeBranchesBySquashCommand_1 = require("./commands/MergeBranchesBySquashCommand");
var MergeBranchesByThreeWayCommand_1 = require("./commands/MergeBranchesByThreeWayCommand");
var MergePullRequestByFastForwardCommand_1 = require("./commands/MergePullRequestByFastForwardCommand");
var MergePullRequestBySquashCommand_1 = require("./commands/MergePullRequestBySquashCommand");
var MergePullRequestByThreeWayCommand_1 = require("./commands/MergePullRequestByThreeWayCommand");
var PostCommentForComparedCommitCommand_1 = require("./commands/PostCommentForComparedCommitCommand");
var PostCommentForPullRequestCommand_1 = require("./commands/PostCommentForPullRequestCommand");
var PostCommentReplyCommand_1 = require("./commands/PostCommentReplyCommand");
var PutFileCommand_1 = require("./commands/PutFileCommand");
var PutRepositoryTriggersCommand_1 = require("./commands/PutRepositoryTriggersCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var TestRepositoryTriggersCommand_1 = require("./commands/TestRepositoryTriggersCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateCommentCommand_1 = require("./commands/UpdateCommentCommand");
var UpdateDefaultBranchCommand_1 = require("./commands/UpdateDefaultBranchCommand");
var UpdatePullRequestDescriptionCommand_1 = require("./commands/UpdatePullRequestDescriptionCommand");
var UpdatePullRequestStatusCommand_1 = require("./commands/UpdatePullRequestStatusCommand");
var UpdatePullRequestTitleCommand_1 = require("./commands/UpdatePullRequestTitleCommand");
var UpdateRepositoryDescriptionCommand_1 = require("./commands/UpdateRepositoryDescriptionCommand");
var UpdateRepositoryNameCommand_1 = require("./commands/UpdateRepositoryNameCommand");
var CodeCommit = /** @class */ (function (_super) {
    tslib_1.__extends(CodeCommit, _super);
    function CodeCommit() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CodeCommit.prototype.batchDescribeMergeConflicts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchDescribeMergeConflictsCommand_1.BatchDescribeMergeConflictsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.batchGetRepositories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetRepositoriesCommand_1.BatchGetRepositoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.createBranch = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateBranchCommand_1.CreateBranchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.createCommit = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCommitCommand_1.CreateCommitCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.createPullRequest = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePullRequestCommand_1.CreatePullRequestCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.createRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateRepositoryCommand_1.CreateRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.createUnreferencedMergeCommit = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateUnreferencedMergeCommitCommand_1.CreateUnreferencedMergeCommitCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.deleteBranch = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteBranchCommand_1.DeleteBranchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.deleteCommentContent = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCommentContentCommand_1.DeleteCommentContentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.deleteFile = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteFileCommand_1.DeleteFileCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.deleteRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRepositoryCommand_1.DeleteRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.describeMergeConflicts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeMergeConflictsCommand_1.DescribeMergeConflictsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.describePullRequestEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribePullRequestEventsCommand_1.DescribePullRequestEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getBlob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetBlobCommand_1.GetBlobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getBranch = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetBranchCommand_1.GetBranchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getComment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCommentCommand_1.GetCommentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getCommentsForComparedCommit = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCommentsForComparedCommitCommand_1.GetCommentsForComparedCommitCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getCommentsForPullRequest = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCommentsForPullRequestCommand_1.GetCommentsForPullRequestCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getCommit = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCommitCommand_1.GetCommitCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getDifferences = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDifferencesCommand_1.GetDifferencesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getFile = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetFileCommand_1.GetFileCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getFolder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetFolderCommand_1.GetFolderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getMergeCommit = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMergeCommitCommand_1.GetMergeCommitCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getMergeConflicts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMergeConflictsCommand_1.GetMergeConflictsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getMergeOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMergeOptionsCommand_1.GetMergeOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getPullRequest = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPullRequestCommand_1.GetPullRequestCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getRepository = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRepositoryCommand_1.GetRepositoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.getRepositoryTriggers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRepositoryTriggersCommand_1.GetRepositoryTriggersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.listBranches = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListBranchesCommand_1.ListBranchesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.listPullRequests = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPullRequestsCommand_1.ListPullRequestsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.listRepositories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListRepositoriesCommand_1.ListRepositoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.mergeBranchesByFastForward = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new MergeBranchesByFastForwardCommand_1.MergeBranchesByFastForwardCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.mergeBranchesBySquash = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new MergeBranchesBySquashCommand_1.MergeBranchesBySquashCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.mergeBranchesByThreeWay = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new MergeBranchesByThreeWayCommand_1.MergeBranchesByThreeWayCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.mergePullRequestByFastForward = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new MergePullRequestByFastForwardCommand_1.MergePullRequestByFastForwardCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.mergePullRequestBySquash = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new MergePullRequestBySquashCommand_1.MergePullRequestBySquashCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.mergePullRequestByThreeWay = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new MergePullRequestByThreeWayCommand_1.MergePullRequestByThreeWayCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.postCommentForComparedCommit = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PostCommentForComparedCommitCommand_1.PostCommentForComparedCommitCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.postCommentForPullRequest = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PostCommentForPullRequestCommand_1.PostCommentForPullRequestCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.postCommentReply = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PostCommentReplyCommand_1.PostCommentReplyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.putFile = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutFileCommand_1.PutFileCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.putRepositoryTriggers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutRepositoryTriggersCommand_1.PutRepositoryTriggersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.testRepositoryTriggers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TestRepositoryTriggersCommand_1.TestRepositoryTriggersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.updateComment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateCommentCommand_1.UpdateCommentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.updateDefaultBranch = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDefaultBranchCommand_1.UpdateDefaultBranchCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.updatePullRequestDescription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePullRequestDescriptionCommand_1.UpdatePullRequestDescriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.updatePullRequestStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePullRequestStatusCommand_1.UpdatePullRequestStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.updatePullRequestTitle = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePullRequestTitleCommand_1.UpdatePullRequestTitleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.updateRepositoryDescription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRepositoryDescriptionCommand_1.UpdateRepositoryDescriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeCommit.prototype.updateRepositoryName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRepositoryNameCommand_1.UpdateRepositoryNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CodeCommit;
}(CodeCommitClient_1.CodeCommitClient));
exports.CodeCommit = CodeCommit;
//# sourceMappingURL=CodeCommit.js.map