"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetRepositories_1 = require("../model/operations/BatchGetRepositories");
var BatchGetRepositoriesCommand = /** @class */ (function () {
    function BatchGetRepositoriesCommand(input) {
        this.input = input;
        this.model = BatchGetRepositories_1.BatchGetRepositories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetRepositoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetRepositoriesCommand;
}());
exports.BatchGetRepositoriesCommand = BatchGetRepositoriesCommand;
//# sourceMappingURL=BatchGetRepositoriesCommand.js.map