"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCommit_1 = require("../model/operations/CreateCommit");
var CreateCommitCommand = /** @class */ (function () {
    function CreateCommitCommand(input) {
        this.input = input;
        this.model = CreateCommit_1.CreateCommit;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCommitCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCommitCommand;
}());
exports.CreateCommitCommand = CreateCommitCommand;
//# sourceMappingURL=CreateCommitCommand.js.map