"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreatePullRequest_1 = require("../model/operations/CreatePullRequest");
var CreatePullRequestCommand = /** @class */ (function () {
    function CreatePullRequestCommand(input) {
        this.input = input;
        this.model = CreatePullRequest_1.CreatePullRequest;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreatePullRequestCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreatePullRequestCommand;
}());
exports.CreatePullRequestCommand = CreatePullRequestCommand;
//# sourceMappingURL=CreatePullRequestCommand.js.map