"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteBranch_1 = require("../model/operations/DeleteBranch");
var DeleteBranchCommand = /** @class */ (function () {
    function DeleteBranchCommand(input) {
        this.input = input;
        this.model = DeleteBranch_1.DeleteBranch;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteBranchCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteBranchCommand;
}());
exports.DeleteBranchCommand = DeleteBranchCommand;
//# sourceMappingURL=DeleteBranchCommand.js.map