"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRepository_1 = require("../model/operations/DeleteRepository");
var DeleteRepositoryCommand = /** @class */ (function () {
    function DeleteRepositoryCommand(input) {
        this.input = input;
        this.model = DeleteRepository_1.DeleteRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRepositoryCommand;
}());
exports.DeleteRepositoryCommand = DeleteRepositoryCommand;
//# sourceMappingURL=DeleteRepositoryCommand.js.map