"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBlob_1 = require("../model/operations/GetBlob");
var GetBlobCommand = /** @class */ (function () {
    function GetBlobCommand(input) {
        this.input = input;
        this.model = GetBlob_1.GetBlob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBlobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBlobCommand;
}());
exports.GetBlobCommand = GetBlobCommand;
//# sourceMappingURL=GetBlobCommand.js.map