"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDifferences_1 = require("../model/operations/GetDifferences");
var GetDifferencesCommand = /** @class */ (function () {
    function GetDifferencesCommand(input) {
        this.input = input;
        this.model = GetDifferences_1.GetDifferences;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDifferencesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDifferencesCommand;
}());
exports.GetDifferencesCommand = GetDifferencesCommand;
//# sourceMappingURL=GetDifferencesCommand.js.map