"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetFile_1 = require("../model/operations/GetFile");
var GetFileCommand = /** @class */ (function () {
    function GetFileCommand(input) {
        this.input = input;
        this.model = GetFile_1.GetFile;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetFileCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetFileCommand;
}());
exports.GetFileCommand = GetFileCommand;
//# sourceMappingURL=GetFileCommand.js.map