"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetMergeCommit_1 = require("../model/operations/GetMergeCommit");
var GetMergeCommitCommand = /** @class */ (function () {
    function GetMergeCommitCommand(input) {
        this.input = input;
        this.model = GetMergeCommit_1.GetMergeCommit;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetMergeCommitCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetMergeCommitCommand;
}());
exports.GetMergeCommitCommand = GetMergeCommitCommand;
//# sourceMappingURL=GetMergeCommitCommand.js.map