"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetMergeConflicts_1 = require("../model/operations/GetMergeConflicts");
var GetMergeConflictsCommand = /** @class */ (function () {
    function GetMergeConflictsCommand(input) {
        this.input = input;
        this.model = GetMergeConflicts_1.GetMergeConflicts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetMergeConflictsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetMergeConflictsCommand;
}());
exports.GetMergeConflictsCommand = GetMergeConflictsCommand;
//# sourceMappingURL=GetMergeConflictsCommand.js.map