"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPullRequest_1 = require("../model/operations/GetPullRequest");
var GetPullRequestCommand = /** @class */ (function () {
    function GetPullRequestCommand(input) {
        this.input = input;
        this.model = GetPullRequest_1.GetPullRequest;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPullRequestCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPullRequestCommand;
}());
exports.GetPullRequestCommand = GetPullRequestCommand;
//# sourceMappingURL=GetPullRequestCommand.js.map