"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPullRequests_1 = require("../model/operations/ListPullRequests");
var ListPullRequestsCommand = /** @class */ (function () {
    function ListPullRequestsCommand(input) {
        this.input = input;
        this.model = ListPullRequests_1.ListPullRequests;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPullRequestsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPullRequestsCommand;
}());
exports.ListPullRequestsCommand = ListPullRequestsCommand;
//# sourceMappingURL=ListPullRequestsCommand.js.map