"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutRepositoryTriggers_1 = require("../model/operations/PutRepositoryTriggers");
var PutRepositoryTriggersCommand = /** @class */ (function () {
    function PutRepositoryTriggersCommand(input) {
        this.input = input;
        this.model = PutRepositoryTriggers_1.PutRepositoryTriggers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutRepositoryTriggersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutRepositoryTriggersCommand;
}());
exports.PutRepositoryTriggersCommand = PutRepositoryTriggersCommand;
//# sourceMappingURL=PutRepositoryTriggersCommand.js.map