"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TestRepositoryTriggers_1 = require("../model/operations/TestRepositoryTriggers");
var TestRepositoryTriggersCommand = /** @class */ (function () {
    function TestRepositoryTriggersCommand(input) {
        this.input = input;
        this.model = TestRepositoryTriggers_1.TestRepositoryTriggers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TestRepositoryTriggersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TestRepositoryTriggersCommand;
}());
exports.TestRepositoryTriggersCommand = TestRepositoryTriggersCommand;
//# sourceMappingURL=TestRepositoryTriggersCommand.js.map