"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetRepositoriesInput_1 = require("../shapes/BatchGetRepositoriesInput");
var BatchGetRepositoriesOutput_1 = require("../shapes/BatchGetRepositoriesOutput");
var RepositoryNamesRequiredException_1 = require("../shapes/RepositoryNamesRequiredException");
var MaximumRepositoryNamesExceededException_1 = require("../shapes/MaximumRepositoryNamesExceededException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetRepositories = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetRepositories",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetRepositoriesInput_1.BatchGetRepositoriesInput
    },
    output: {
        shape: BatchGetRepositoriesOutput_1.BatchGetRepositoriesOutput
    },
    errors: [
        {
            shape: RepositoryNamesRequiredException_1.RepositoryNamesRequiredException
        },
        {
            shape: MaximumRepositoryNamesExceededException_1.MaximumRepositoryNamesExceededException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=BatchGetRepositories.js.map