"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateCommitInput_1 = require("../shapes/CreateCommitInput");
var CreateCommitOutput_1 = require("../shapes/CreateCommitOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var ParentCommitIdRequiredException_1 = require("../shapes/ParentCommitIdRequiredException");
var InvalidParentCommitIdException_1 = require("../shapes/InvalidParentCommitIdException");
var ParentCommitDoesNotExistException_1 = require("../shapes/ParentCommitDoesNotExistException");
var ParentCommitIdOutdatedException_1 = require("../shapes/ParentCommitIdOutdatedException");
var BranchNameRequiredException_1 = require("../shapes/BranchNameRequiredException");
var InvalidBranchNameException_1 = require("../shapes/InvalidBranchNameException");
var BranchDoesNotExistException_1 = require("../shapes/BranchDoesNotExistException");
var BranchNameIsTagNameException_1 = require("../shapes/BranchNameIsTagNameException");
var FileEntryRequiredException_1 = require("../shapes/FileEntryRequiredException");
var MaximumFileEntriesExceededException_1 = require("../shapes/MaximumFileEntriesExceededException");
var PutFileEntryConflictException_1 = require("../shapes/PutFileEntryConflictException");
var SourceFileOrContentRequiredException_1 = require("../shapes/SourceFileOrContentRequiredException");
var FileContentAndSourceFileSpecifiedException_1 = require("../shapes/FileContentAndSourceFileSpecifiedException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var SamePathRequestException_1 = require("../shapes/SamePathRequestException");
var FileDoesNotExistException_1 = require("../shapes/FileDoesNotExistException");
var FileContentSizeLimitExceededException_1 = require("../shapes/FileContentSizeLimitExceededException");
var FolderContentSizeLimitExceededException_1 = require("../shapes/FolderContentSizeLimitExceededException");
var InvalidDeletionParameterException_1 = require("../shapes/InvalidDeletionParameterException");
var RestrictedSourceFileException_1 = require("../shapes/RestrictedSourceFileException");
var FileModeRequiredException_1 = require("../shapes/FileModeRequiredException");
var InvalidFileModeException_1 = require("../shapes/InvalidFileModeException");
var NameLengthExceededException_1 = require("../shapes/NameLengthExceededException");
var InvalidEmailException_1 = require("../shapes/InvalidEmailException");
var CommitMessageLengthExceededException_1 = require("../shapes/CommitMessageLengthExceededException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var NoChangeException_1 = require("../shapes/NoChangeException");
var FileNameConflictsWithDirectoryNameException_1 = require("../shapes/FileNameConflictsWithDirectoryNameException");
var DirectoryNameConflictsWithFileNameException_1 = require("../shapes/DirectoryNameConflictsWithFileNameException");
var FilePathConflictsWithSubmodulePathException_1 = require("../shapes/FilePathConflictsWithSubmodulePathException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCommit = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCommit",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCommitInput_1.CreateCommitInput
    },
    output: {
        shape: CreateCommitOutput_1.CreateCommitOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: ParentCommitIdRequiredException_1.ParentCommitIdRequiredException
        },
        {
            shape: InvalidParentCommitIdException_1.InvalidParentCommitIdException
        },
        {
            shape: ParentCommitDoesNotExistException_1.ParentCommitDoesNotExistException
        },
        {
            shape: ParentCommitIdOutdatedException_1.ParentCommitIdOutdatedException
        },
        {
            shape: BranchNameRequiredException_1.BranchNameRequiredException
        },
        {
            shape: InvalidBranchNameException_1.InvalidBranchNameException
        },
        {
            shape: BranchDoesNotExistException_1.BranchDoesNotExistException
        },
        {
            shape: BranchNameIsTagNameException_1.BranchNameIsTagNameException
        },
        {
            shape: FileEntryRequiredException_1.FileEntryRequiredException
        },
        {
            shape: MaximumFileEntriesExceededException_1.MaximumFileEntriesExceededException
        },
        {
            shape: PutFileEntryConflictException_1.PutFileEntryConflictException
        },
        {
            shape: SourceFileOrContentRequiredException_1.SourceFileOrContentRequiredException
        },
        {
            shape: FileContentAndSourceFileSpecifiedException_1.FileContentAndSourceFileSpecifiedException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: SamePathRequestException_1.SamePathRequestException
        },
        {
            shape: FileDoesNotExistException_1.FileDoesNotExistException
        },
        {
            shape: FileContentSizeLimitExceededException_1.FileContentSizeLimitExceededException
        },
        {
            shape: FolderContentSizeLimitExceededException_1.FolderContentSizeLimitExceededException
        },
        {
            shape: InvalidDeletionParameterException_1.InvalidDeletionParameterException
        },
        {
            shape: RestrictedSourceFileException_1.RestrictedSourceFileException
        },
        {
            shape: FileModeRequiredException_1.FileModeRequiredException
        },
        {
            shape: InvalidFileModeException_1.InvalidFileModeException
        },
        {
            shape: NameLengthExceededException_1.NameLengthExceededException
        },
        {
            shape: InvalidEmailException_1.InvalidEmailException
        },
        {
            shape: CommitMessageLengthExceededException_1.CommitMessageLengthExceededException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: NoChangeException_1.NoChangeException
        },
        {
            shape: FileNameConflictsWithDirectoryNameException_1.FileNameConflictsWithDirectoryNameException
        },
        {
            shape: DirectoryNameConflictsWithFileNameException_1.DirectoryNameConflictsWithFileNameException
        },
        {
            shape: FilePathConflictsWithSubmodulePathException_1.FilePathConflictsWithSubmodulePathException
        }
    ]
};
//# sourceMappingURL=CreateCommit.js.map