"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePullRequestInput_1 = require("../shapes/CreatePullRequestInput");
var CreatePullRequestOutput_1 = require("../shapes/CreatePullRequestOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ClientRequestTokenRequiredException_1 = require("../shapes/ClientRequestTokenRequiredException");
var InvalidClientRequestTokenException_1 = require("../shapes/InvalidClientRequestTokenException");
var IdempotencyParameterMismatchException_1 = require("../shapes/IdempotencyParameterMismatchException");
var ReferenceNameRequiredException_1 = require("../shapes/ReferenceNameRequiredException");
var InvalidReferenceNameException_1 = require("../shapes/InvalidReferenceNameException");
var ReferenceDoesNotExistException_1 = require("../shapes/ReferenceDoesNotExistException");
var ReferenceTypeNotSupportedException_1 = require("../shapes/ReferenceTypeNotSupportedException");
var TitleRequiredException_1 = require("../shapes/TitleRequiredException");
var InvalidTitleException_1 = require("../shapes/InvalidTitleException");
var InvalidDescriptionException_1 = require("../shapes/InvalidDescriptionException");
var TargetsRequiredException_1 = require("../shapes/TargetsRequiredException");
var InvalidTargetsException_1 = require("../shapes/InvalidTargetsException");
var TargetRequiredException_1 = require("../shapes/TargetRequiredException");
var InvalidTargetException_1 = require("../shapes/InvalidTargetException");
var MultipleRepositoriesInPullRequestException_1 = require("../shapes/MultipleRepositoriesInPullRequestException");
var MaximumOpenPullRequestsExceededException_1 = require("../shapes/MaximumOpenPullRequestsExceededException");
var SourceAndDestinationAreSameException_1 = require("../shapes/SourceAndDestinationAreSameException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePullRequest = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePullRequest",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreatePullRequestInput_1.CreatePullRequestInput
    },
    output: {
        shape: CreatePullRequestOutput_1.CreatePullRequestOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: ClientRequestTokenRequiredException_1.ClientRequestTokenRequiredException
        },
        {
            shape: InvalidClientRequestTokenException_1.InvalidClientRequestTokenException
        },
        {
            shape: IdempotencyParameterMismatchException_1.IdempotencyParameterMismatchException
        },
        {
            shape: ReferenceNameRequiredException_1.ReferenceNameRequiredException
        },
        {
            shape: InvalidReferenceNameException_1.InvalidReferenceNameException
        },
        {
            shape: ReferenceDoesNotExistException_1.ReferenceDoesNotExistException
        },
        {
            shape: ReferenceTypeNotSupportedException_1.ReferenceTypeNotSupportedException
        },
        {
            shape: TitleRequiredException_1.TitleRequiredException
        },
        {
            shape: InvalidTitleException_1.InvalidTitleException
        },
        {
            shape: InvalidDescriptionException_1.InvalidDescriptionException
        },
        {
            shape: TargetsRequiredException_1.TargetsRequiredException
        },
        {
            shape: InvalidTargetsException_1.InvalidTargetsException
        },
        {
            shape: TargetRequiredException_1.TargetRequiredException
        },
        {
            shape: InvalidTargetException_1.InvalidTargetException
        },
        {
            shape: MultipleRepositoriesInPullRequestException_1.MultipleRepositoriesInPullRequestException
        },
        {
            shape: MaximumOpenPullRequestsExceededException_1.MaximumOpenPullRequestsExceededException
        },
        {
            shape: SourceAndDestinationAreSameException_1.SourceAndDestinationAreSameException
        }
    ]
};
//# sourceMappingURL=CreatePullRequest.js.map