"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateRepositoryInput_1 = require("../shapes/CreateRepositoryInput");
var CreateRepositoryOutput_1 = require("../shapes/CreateRepositoryOutput");
var RepositoryNameExistsException_1 = require("../shapes/RepositoryNameExistsException");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var InvalidRepositoryDescriptionException_1 = require("../shapes/InvalidRepositoryDescriptionException");
var RepositoryLimitExceededException_1 = require("../shapes/RepositoryLimitExceededException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var InvalidTagsMapException_1 = require("../shapes/InvalidTagsMapException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var InvalidSystemTagUsageException_1 = require("../shapes/InvalidSystemTagUsageException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateRepository = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateRepository",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateRepositoryInput_1.CreateRepositoryInput
    },
    output: {
        shape: CreateRepositoryOutput_1.CreateRepositoryOutput
    },
    errors: [
        {
            shape: RepositoryNameExistsException_1.RepositoryNameExistsException
        },
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: InvalidRepositoryDescriptionException_1.InvalidRepositoryDescriptionException
        },
        {
            shape: RepositoryLimitExceededException_1.RepositoryLimitExceededException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: InvalidTagsMapException_1.InvalidTagsMapException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: InvalidSystemTagUsageException_1.InvalidSystemTagUsageException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        }
    ]
};
//# sourceMappingURL=CreateRepository.js.map