"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteBranchInput_1 = require("../shapes/DeleteBranchInput");
var DeleteBranchOutput_1 = require("../shapes/DeleteBranchOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var BranchNameRequiredException_1 = require("../shapes/BranchNameRequiredException");
var InvalidBranchNameException_1 = require("../shapes/InvalidBranchNameException");
var DefaultBranchCannotBeDeletedException_1 = require("../shapes/DefaultBranchCannotBeDeletedException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteBranch = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteBranch",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteBranchInput_1.DeleteBranchInput
    },
    output: {
        shape: DeleteBranchOutput_1.DeleteBranchOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: BranchNameRequiredException_1.BranchNameRequiredException
        },
        {
            shape: InvalidBranchNameException_1.InvalidBranchNameException
        },
        {
            shape: DefaultBranchCannotBeDeletedException_1.DefaultBranchCannotBeDeletedException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=DeleteBranch.js.map