"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteFileInput_1 = require("../shapes/DeleteFileInput");
var DeleteFileOutput_1 = require("../shapes/DeleteFileOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var ParentCommitIdRequiredException_1 = require("../shapes/ParentCommitIdRequiredException");
var InvalidParentCommitIdException_1 = require("../shapes/InvalidParentCommitIdException");
var ParentCommitDoesNotExistException_1 = require("../shapes/ParentCommitDoesNotExistException");
var ParentCommitIdOutdatedException_1 = require("../shapes/ParentCommitIdOutdatedException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var FileDoesNotExistException_1 = require("../shapes/FileDoesNotExistException");
var BranchNameRequiredException_1 = require("../shapes/BranchNameRequiredException");
var InvalidBranchNameException_1 = require("../shapes/InvalidBranchNameException");
var BranchDoesNotExistException_1 = require("../shapes/BranchDoesNotExistException");
var BranchNameIsTagNameException_1 = require("../shapes/BranchNameIsTagNameException");
var NameLengthExceededException_1 = require("../shapes/NameLengthExceededException");
var InvalidEmailException_1 = require("../shapes/InvalidEmailException");
var CommitMessageLengthExceededException_1 = require("../shapes/CommitMessageLengthExceededException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteFile = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteFile",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteFileInput_1.DeleteFileInput
    },
    output: {
        shape: DeleteFileOutput_1.DeleteFileOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: ParentCommitIdRequiredException_1.ParentCommitIdRequiredException
        },
        {
            shape: InvalidParentCommitIdException_1.InvalidParentCommitIdException
        },
        {
            shape: ParentCommitDoesNotExistException_1.ParentCommitDoesNotExistException
        },
        {
            shape: ParentCommitIdOutdatedException_1.ParentCommitIdOutdatedException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: FileDoesNotExistException_1.FileDoesNotExistException
        },
        {
            shape: BranchNameRequiredException_1.BranchNameRequiredException
        },
        {
            shape: InvalidBranchNameException_1.InvalidBranchNameException
        },
        {
            shape: BranchDoesNotExistException_1.BranchDoesNotExistException
        },
        {
            shape: BranchNameIsTagNameException_1.BranchNameIsTagNameException
        },
        {
            shape: NameLengthExceededException_1.NameLengthExceededException
        },
        {
            shape: InvalidEmailException_1.InvalidEmailException
        },
        {
            shape: CommitMessageLengthExceededException_1.CommitMessageLengthExceededException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=DeleteFile.js.map