"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteRepositoryInput_1 = require("../shapes/DeleteRepositoryInput");
var DeleteRepositoryOutput_1 = require("../shapes/DeleteRepositoryOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRepository = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRepository",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteRepositoryInput_1.DeleteRepositoryInput
    },
    output: {
        shape: DeleteRepositoryOutput_1.DeleteRepositoryOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=DeleteRepository.js.map