"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeMergeConflictsInput_1 = require("../shapes/DescribeMergeConflictsInput");
var DescribeMergeConflictsOutput_1 = require("../shapes/DescribeMergeConflictsOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var MergeOptionRequiredException_1 = require("../shapes/MergeOptionRequiredException");
var InvalidMergeOptionException_1 = require("../shapes/InvalidMergeOptionException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var CommitRequiredException_1 = require("../shapes/CommitRequiredException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidCommitException_1 = require("../shapes/InvalidCommitException");
var TipsDivergenceExceededException_1 = require("../shapes/TipsDivergenceExceededException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var FileDoesNotExistException_1 = require("../shapes/FileDoesNotExistException");
var InvalidMaxMergeHunksException_1 = require("../shapes/InvalidMaxMergeHunksException");
var InvalidConflictDetailLevelException_1 = require("../shapes/InvalidConflictDetailLevelException");
var InvalidConflictResolutionStrategyException_1 = require("../shapes/InvalidConflictResolutionStrategyException");
var MaximumFileContentToLoadExceededException_1 = require("../shapes/MaximumFileContentToLoadExceededException");
var MaximumItemsToCompareExceededException_1 = require("../shapes/MaximumItemsToCompareExceededException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeMergeConflicts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeMergeConflicts",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeMergeConflictsInput_1.DescribeMergeConflictsInput
    },
    output: {
        shape: DescribeMergeConflictsOutput_1.DescribeMergeConflictsOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: MergeOptionRequiredException_1.MergeOptionRequiredException
        },
        {
            shape: InvalidMergeOptionException_1.InvalidMergeOptionException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        },
        {
            shape: CommitRequiredException_1.CommitRequiredException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidCommitException_1.InvalidCommitException
        },
        {
            shape: TipsDivergenceExceededException_1.TipsDivergenceExceededException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: FileDoesNotExistException_1.FileDoesNotExistException
        },
        {
            shape: InvalidMaxMergeHunksException_1.InvalidMaxMergeHunksException
        },
        {
            shape: InvalidConflictDetailLevelException_1.InvalidConflictDetailLevelException
        },
        {
            shape: InvalidConflictResolutionStrategyException_1.InvalidConflictResolutionStrategyException
        },
        {
            shape: MaximumFileContentToLoadExceededException_1.MaximumFileContentToLoadExceededException
        },
        {
            shape: MaximumItemsToCompareExceededException_1.MaximumItemsToCompareExceededException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=DescribeMergeConflicts.js.map