"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetBlobInput_1 = require("../shapes/GetBlobInput");
var GetBlobOutput_1 = require("../shapes/GetBlobOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var BlobIdRequiredException_1 = require("../shapes/BlobIdRequiredException");
var InvalidBlobIdException_1 = require("../shapes/InvalidBlobIdException");
var BlobIdDoesNotExistException_1 = require("../shapes/BlobIdDoesNotExistException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var FileTooLargeException_1 = require("../shapes/FileTooLargeException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetBlob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetBlob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetBlobInput_1.GetBlobInput
    },
    output: {
        shape: GetBlobOutput_1.GetBlobOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: BlobIdRequiredException_1.BlobIdRequiredException
        },
        {
            shape: InvalidBlobIdException_1.InvalidBlobIdException
        },
        {
            shape: BlobIdDoesNotExistException_1.BlobIdDoesNotExistException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: FileTooLargeException_1.FileTooLargeException
        }
    ]
};
//# sourceMappingURL=GetBlob.js.map