"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCommentInput_1 = require("../shapes/GetCommentInput");
var GetCommentOutput_1 = require("../shapes/GetCommentOutput");
var CommentDoesNotExistException_1 = require("../shapes/CommentDoesNotExistException");
var CommentIdRequiredException_1 = require("../shapes/CommentIdRequiredException");
var InvalidCommentIdException_1 = require("../shapes/InvalidCommentIdException");
var CommentDeletedException_1 = require("../shapes/CommentDeletedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetComment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetComment",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetCommentInput_1.GetCommentInput
    },
    output: {
        shape: GetCommentOutput_1.GetCommentOutput
    },
    errors: [
        {
            shape: CommentDoesNotExistException_1.CommentDoesNotExistException
        },
        {
            shape: CommentIdRequiredException_1.CommentIdRequiredException
        },
        {
            shape: InvalidCommentIdException_1.InvalidCommentIdException
        },
        {
            shape: CommentDeletedException_1.CommentDeletedException
        }
    ]
};
//# sourceMappingURL=GetComment.js.map