"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCommentsForComparedCommitInput_1 = require("../shapes/GetCommentsForComparedCommitInput");
var GetCommentsForComparedCommitOutput_1 = require("../shapes/GetCommentsForComparedCommitOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var CommitIdRequiredException_1 = require("../shapes/CommitIdRequiredException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidMaxResultsException_1 = require("../shapes/InvalidMaxResultsException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCommentsForComparedCommit = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCommentsForComparedCommit",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetCommentsForComparedCommitInput_1.GetCommentsForComparedCommitInput
    },
    output: {
        shape: GetCommentsForComparedCommitOutput_1.GetCommentsForComparedCommitOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: CommitIdRequiredException_1.CommitIdRequiredException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidMaxResultsException_1.InvalidMaxResultsException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=GetCommentsForComparedCommit.js.map