"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCommentsForPullRequestInput_1 = require("../shapes/GetCommentsForPullRequestInput");
var GetCommentsForPullRequestOutput_1 = require("../shapes/GetCommentsForPullRequestOutput");
var PullRequestIdRequiredException_1 = require("../shapes/PullRequestIdRequiredException");
var PullRequestDoesNotExistException_1 = require("../shapes/PullRequestDoesNotExistException");
var InvalidPullRequestIdException_1 = require("../shapes/InvalidPullRequestIdException");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var CommitIdRequiredException_1 = require("../shapes/CommitIdRequiredException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidMaxResultsException_1 = require("../shapes/InvalidMaxResultsException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var RepositoryNotAssociatedWithPullRequestException_1 = require("../shapes/RepositoryNotAssociatedWithPullRequestException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCommentsForPullRequest = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCommentsForPullRequest",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetCommentsForPullRequestInput_1.GetCommentsForPullRequestInput
    },
    output: {
        shape: GetCommentsForPullRequestOutput_1.GetCommentsForPullRequestOutput
    },
    errors: [
        {
            shape: PullRequestIdRequiredException_1.PullRequestIdRequiredException
        },
        {
            shape: PullRequestDoesNotExistException_1.PullRequestDoesNotExistException
        },
        {
            shape: InvalidPullRequestIdException_1.InvalidPullRequestIdException
        },
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: CommitIdRequiredException_1.CommitIdRequiredException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidMaxResultsException_1.InvalidMaxResultsException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        },
        {
            shape: RepositoryNotAssociatedWithPullRequestException_1.RepositoryNotAssociatedWithPullRequestException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=GetCommentsForPullRequest.js.map