"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCommitInput_1 = require("../shapes/GetCommitInput");
var GetCommitOutput_1 = require("../shapes/GetCommitOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var CommitIdRequiredException_1 = require("../shapes/CommitIdRequiredException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var CommitIdDoesNotExistException_1 = require("../shapes/CommitIdDoesNotExistException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCommit = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCommit",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetCommitInput_1.GetCommitInput
    },
    output: {
        shape: GetCommitOutput_1.GetCommitOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: CommitIdRequiredException_1.CommitIdRequiredException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: CommitIdDoesNotExistException_1.CommitIdDoesNotExistException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=GetCommit.js.map