"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDifferencesInput_1 = require("../shapes/GetDifferencesInput");
var GetDifferencesOutput_1 = require("../shapes/GetDifferencesOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var InvalidMaxResultsException_1 = require("../shapes/InvalidMaxResultsException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var CommitRequiredException_1 = require("../shapes/CommitRequiredException");
var InvalidCommitException_1 = require("../shapes/InvalidCommitException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var PathDoesNotExistException_1 = require("../shapes/PathDoesNotExistException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDifferences = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDifferences",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDifferencesInput_1.GetDifferencesInput
    },
    output: {
        shape: GetDifferencesOutput_1.GetDifferencesOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        },
        {
            shape: InvalidMaxResultsException_1.InvalidMaxResultsException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: CommitRequiredException_1.CommitRequiredException
        },
        {
            shape: InvalidCommitException_1.InvalidCommitException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: PathDoesNotExistException_1.PathDoesNotExistException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=GetDifferences.js.map