"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetFileInput_1 = require("../shapes/GetFileInput");
var GetFileOutput_1 = require("../shapes/GetFileOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidCommitException_1 = require("../shapes/InvalidCommitException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var FileDoesNotExistException_1 = require("../shapes/FileDoesNotExistException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var FileTooLargeException_1 = require("../shapes/FileTooLargeException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetFile = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetFile",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetFileInput_1.GetFileInput
    },
    output: {
        shape: GetFileOutput_1.GetFileOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidCommitException_1.InvalidCommitException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: FileDoesNotExistException_1.FileDoesNotExistException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: FileTooLargeException_1.FileTooLargeException
        }
    ]
};
//# sourceMappingURL=GetFile.js.map