"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetMergeCommitInput_1 = require("../shapes/GetMergeCommitInput");
var GetMergeCommitOutput_1 = require("../shapes/GetMergeCommitOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var CommitRequiredException_1 = require("../shapes/CommitRequiredException");
var InvalidCommitException_1 = require("../shapes/InvalidCommitException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidConflictDetailLevelException_1 = require("../shapes/InvalidConflictDetailLevelException");
var InvalidConflictResolutionStrategyException_1 = require("../shapes/InvalidConflictResolutionStrategyException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetMergeCommit = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetMergeCommit",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetMergeCommitInput_1.GetMergeCommitInput
    },
    output: {
        shape: GetMergeCommitOutput_1.GetMergeCommitOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: CommitRequiredException_1.CommitRequiredException
        },
        {
            shape: InvalidCommitException_1.InvalidCommitException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidConflictDetailLevelException_1.InvalidConflictDetailLevelException
        },
        {
            shape: InvalidConflictResolutionStrategyException_1.InvalidConflictResolutionStrategyException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=GetMergeCommit.js.map