"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MergePullRequestByFastForwardInput_1 = require("../shapes/MergePullRequestByFastForwardInput");
var MergePullRequestByFastForwardOutput_1 = require("../shapes/MergePullRequestByFastForwardOutput");
var ManualMergeRequiredException_1 = require("../shapes/ManualMergeRequiredException");
var PullRequestAlreadyClosedException_1 = require("../shapes/PullRequestAlreadyClosedException");
var PullRequestDoesNotExistException_1 = require("../shapes/PullRequestDoesNotExistException");
var InvalidPullRequestIdException_1 = require("../shapes/InvalidPullRequestIdException");
var PullRequestIdRequiredException_1 = require("../shapes/PullRequestIdRequiredException");
var TipOfSourceReferenceIsDifferentException_1 = require("../shapes/TipOfSourceReferenceIsDifferentException");
var ReferenceDoesNotExistException_1 = require("../shapes/ReferenceDoesNotExistException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var RepositoryNotAssociatedWithPullRequestException_1 = require("../shapes/RepositoryNotAssociatedWithPullRequestException");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var ConcurrentReferenceUpdateException_1 = require("../shapes/ConcurrentReferenceUpdateException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.MergePullRequestByFastForward = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "MergePullRequestByFastForward",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: MergePullRequestByFastForwardInput_1.MergePullRequestByFastForwardInput
    },
    output: {
        shape: MergePullRequestByFastForwardOutput_1.MergePullRequestByFastForwardOutput
    },
    errors: [
        {
            shape: ManualMergeRequiredException_1.ManualMergeRequiredException
        },
        {
            shape: PullRequestAlreadyClosedException_1.PullRequestAlreadyClosedException
        },
        {
            shape: PullRequestDoesNotExistException_1.PullRequestDoesNotExistException
        },
        {
            shape: InvalidPullRequestIdException_1.InvalidPullRequestIdException
        },
        {
            shape: PullRequestIdRequiredException_1.PullRequestIdRequiredException
        },
        {
            shape: TipOfSourceReferenceIsDifferentException_1.TipOfSourceReferenceIsDifferentException
        },
        {
            shape: ReferenceDoesNotExistException_1.ReferenceDoesNotExistException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: RepositoryNotAssociatedWithPullRequestException_1.RepositoryNotAssociatedWithPullRequestException
        },
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: ConcurrentReferenceUpdateException_1.ConcurrentReferenceUpdateException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=MergePullRequestByFastForward.js.map