"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MergePullRequestBySquashInput_1 = require("../shapes/MergePullRequestBySquashInput");
var MergePullRequestBySquashOutput_1 = require("../shapes/MergePullRequestBySquashOutput");
var PullRequestAlreadyClosedException_1 = require("../shapes/PullRequestAlreadyClosedException");
var PullRequestDoesNotExistException_1 = require("../shapes/PullRequestDoesNotExistException");
var PullRequestIdRequiredException_1 = require("../shapes/PullRequestIdRequiredException");
var InvalidPullRequestIdException_1 = require("../shapes/InvalidPullRequestIdException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var ManualMergeRequiredException_1 = require("../shapes/ManualMergeRequiredException");
var TipOfSourceReferenceIsDifferentException_1 = require("../shapes/TipOfSourceReferenceIsDifferentException");
var TipsDivergenceExceededException_1 = require("../shapes/TipsDivergenceExceededException");
var NameLengthExceededException_1 = require("../shapes/NameLengthExceededException");
var InvalidEmailException_1 = require("../shapes/InvalidEmailException");
var CommitMessageLengthExceededException_1 = require("../shapes/CommitMessageLengthExceededException");
var InvalidConflictDetailLevelException_1 = require("../shapes/InvalidConflictDetailLevelException");
var InvalidConflictResolutionStrategyException_1 = require("../shapes/InvalidConflictResolutionStrategyException");
var InvalidConflictResolutionException_1 = require("../shapes/InvalidConflictResolutionException");
var ReplacementTypeRequiredException_1 = require("../shapes/ReplacementTypeRequiredException");
var InvalidReplacementTypeException_1 = require("../shapes/InvalidReplacementTypeException");
var MultipleConflictResolutionEntriesException_1 = require("../shapes/MultipleConflictResolutionEntriesException");
var ReplacementContentRequiredException_1 = require("../shapes/ReplacementContentRequiredException");
var MaximumConflictResolutionEntriesExceededException_1 = require("../shapes/MaximumConflictResolutionEntriesExceededException");
var ConcurrentReferenceUpdateException_1 = require("../shapes/ConcurrentReferenceUpdateException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var InvalidFileModeException_1 = require("../shapes/InvalidFileModeException");
var InvalidReplacementContentException_1 = require("../shapes/InvalidReplacementContentException");
var FileContentSizeLimitExceededException_1 = require("../shapes/FileContentSizeLimitExceededException");
var FolderContentSizeLimitExceededException_1 = require("../shapes/FolderContentSizeLimitExceededException");
var MaximumFileContentToLoadExceededException_1 = require("../shapes/MaximumFileContentToLoadExceededException");
var MaximumItemsToCompareExceededException_1 = require("../shapes/MaximumItemsToCompareExceededException");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var RepositoryNotAssociatedWithPullRequestException_1 = require("../shapes/RepositoryNotAssociatedWithPullRequestException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.MergePullRequestBySquash = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "MergePullRequestBySquash",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: MergePullRequestBySquashInput_1.MergePullRequestBySquashInput
    },
    output: {
        shape: MergePullRequestBySquashOutput_1.MergePullRequestBySquashOutput
    },
    errors: [
        {
            shape: PullRequestAlreadyClosedException_1.PullRequestAlreadyClosedException
        },
        {
            shape: PullRequestDoesNotExistException_1.PullRequestDoesNotExistException
        },
        {
            shape: PullRequestIdRequiredException_1.PullRequestIdRequiredException
        },
        {
            shape: InvalidPullRequestIdException_1.InvalidPullRequestIdException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: ManualMergeRequiredException_1.ManualMergeRequiredException
        },
        {
            shape: TipOfSourceReferenceIsDifferentException_1.TipOfSourceReferenceIsDifferentException
        },
        {
            shape: TipsDivergenceExceededException_1.TipsDivergenceExceededException
        },
        {
            shape: NameLengthExceededException_1.NameLengthExceededException
        },
        {
            shape: InvalidEmailException_1.InvalidEmailException
        },
        {
            shape: CommitMessageLengthExceededException_1.CommitMessageLengthExceededException
        },
        {
            shape: InvalidConflictDetailLevelException_1.InvalidConflictDetailLevelException
        },
        {
            shape: InvalidConflictResolutionStrategyException_1.InvalidConflictResolutionStrategyException
        },
        {
            shape: InvalidConflictResolutionException_1.InvalidConflictResolutionException
        },
        {
            shape: ReplacementTypeRequiredException_1.ReplacementTypeRequiredException
        },
        {
            shape: InvalidReplacementTypeException_1.InvalidReplacementTypeException
        },
        {
            shape: MultipleConflictResolutionEntriesException_1.MultipleConflictResolutionEntriesException
        },
        {
            shape: ReplacementContentRequiredException_1.ReplacementContentRequiredException
        },
        {
            shape: MaximumConflictResolutionEntriesExceededException_1.MaximumConflictResolutionEntriesExceededException
        },
        {
            shape: ConcurrentReferenceUpdateException_1.ConcurrentReferenceUpdateException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: InvalidFileModeException_1.InvalidFileModeException
        },
        {
            shape: InvalidReplacementContentException_1.InvalidReplacementContentException
        },
        {
            shape: FileContentSizeLimitExceededException_1.FileContentSizeLimitExceededException
        },
        {
            shape: FolderContentSizeLimitExceededException_1.FolderContentSizeLimitExceededException
        },
        {
            shape: MaximumFileContentToLoadExceededException_1.MaximumFileContentToLoadExceededException
        },
        {
            shape: MaximumItemsToCompareExceededException_1.MaximumItemsToCompareExceededException
        },
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: RepositoryNotAssociatedWithPullRequestException_1.RepositoryNotAssociatedWithPullRequestException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=MergePullRequestBySquash.js.map