"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PostCommentForComparedCommitInput_1 = require("../shapes/PostCommentForComparedCommitInput");
var PostCommentForComparedCommitOutput_1 = require("../shapes/PostCommentForComparedCommitOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var ClientRequestTokenRequiredException_1 = require("../shapes/ClientRequestTokenRequiredException");
var InvalidClientRequestTokenException_1 = require("../shapes/InvalidClientRequestTokenException");
var IdempotencyParameterMismatchException_1 = require("../shapes/IdempotencyParameterMismatchException");
var CommentContentRequiredException_1 = require("../shapes/CommentContentRequiredException");
var CommentContentSizeLimitExceededException_1 = require("../shapes/CommentContentSizeLimitExceededException");
var InvalidFileLocationException_1 = require("../shapes/InvalidFileLocationException");
var InvalidRelativeFileVersionEnumException_1 = require("../shapes/InvalidRelativeFileVersionEnumException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidFilePositionException_1 = require("../shapes/InvalidFilePositionException");
var CommitIdRequiredException_1 = require("../shapes/CommitIdRequiredException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var BeforeCommitIdAndAfterCommitIdAreSameException_1 = require("../shapes/BeforeCommitIdAndAfterCommitIdAreSameException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var PathDoesNotExistException_1 = require("../shapes/PathDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PostCommentForComparedCommit = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PostCommentForComparedCommit",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PostCommentForComparedCommitInput_1.PostCommentForComparedCommitInput
    },
    output: {
        shape: PostCommentForComparedCommitOutput_1.PostCommentForComparedCommitOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: ClientRequestTokenRequiredException_1.ClientRequestTokenRequiredException
        },
        {
            shape: InvalidClientRequestTokenException_1.InvalidClientRequestTokenException
        },
        {
            shape: IdempotencyParameterMismatchException_1.IdempotencyParameterMismatchException
        },
        {
            shape: CommentContentRequiredException_1.CommentContentRequiredException
        },
        {
            shape: CommentContentSizeLimitExceededException_1.CommentContentSizeLimitExceededException
        },
        {
            shape: InvalidFileLocationException_1.InvalidFileLocationException
        },
        {
            shape: InvalidRelativeFileVersionEnumException_1.InvalidRelativeFileVersionEnumException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidFilePositionException_1.InvalidFilePositionException
        },
        {
            shape: CommitIdRequiredException_1.CommitIdRequiredException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: BeforeCommitIdAndAfterCommitIdAreSameException_1.BeforeCommitIdAndAfterCommitIdAreSameException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: PathDoesNotExistException_1.PathDoesNotExistException
        }
    ]
};
//# sourceMappingURL=PostCommentForComparedCommit.js.map