"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutFileInput_1 = require("../shapes/PutFileInput");
var PutFileOutput_1 = require("../shapes/PutFileOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var ParentCommitIdRequiredException_1 = require("../shapes/ParentCommitIdRequiredException");
var InvalidParentCommitIdException_1 = require("../shapes/InvalidParentCommitIdException");
var ParentCommitDoesNotExistException_1 = require("../shapes/ParentCommitDoesNotExistException");
var ParentCommitIdOutdatedException_1 = require("../shapes/ParentCommitIdOutdatedException");
var FileContentRequiredException_1 = require("../shapes/FileContentRequiredException");
var FileContentSizeLimitExceededException_1 = require("../shapes/FileContentSizeLimitExceededException");
var FolderContentSizeLimitExceededException_1 = require("../shapes/FolderContentSizeLimitExceededException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var BranchNameRequiredException_1 = require("../shapes/BranchNameRequiredException");
var InvalidBranchNameException_1 = require("../shapes/InvalidBranchNameException");
var BranchDoesNotExistException_1 = require("../shapes/BranchDoesNotExistException");
var BranchNameIsTagNameException_1 = require("../shapes/BranchNameIsTagNameException");
var InvalidFileModeException_1 = require("../shapes/InvalidFileModeException");
var NameLengthExceededException_1 = require("../shapes/NameLengthExceededException");
var InvalidEmailException_1 = require("../shapes/InvalidEmailException");
var CommitMessageLengthExceededException_1 = require("../shapes/CommitMessageLengthExceededException");
var InvalidDeletionParameterException_1 = require("../shapes/InvalidDeletionParameterException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var SameFileContentException_1 = require("../shapes/SameFileContentException");
var FileNameConflictsWithDirectoryNameException_1 = require("../shapes/FileNameConflictsWithDirectoryNameException");
var DirectoryNameConflictsWithFileNameException_1 = require("../shapes/DirectoryNameConflictsWithFileNameException");
var FilePathConflictsWithSubmodulePathException_1 = require("../shapes/FilePathConflictsWithSubmodulePathException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutFile = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutFile",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutFileInput_1.PutFileInput
    },
    output: {
        shape: PutFileOutput_1.PutFileOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: ParentCommitIdRequiredException_1.ParentCommitIdRequiredException
        },
        {
            shape: InvalidParentCommitIdException_1.InvalidParentCommitIdException
        },
        {
            shape: ParentCommitDoesNotExistException_1.ParentCommitDoesNotExistException
        },
        {
            shape: ParentCommitIdOutdatedException_1.ParentCommitIdOutdatedException
        },
        {
            shape: FileContentRequiredException_1.FileContentRequiredException
        },
        {
            shape: FileContentSizeLimitExceededException_1.FileContentSizeLimitExceededException
        },
        {
            shape: FolderContentSizeLimitExceededException_1.FolderContentSizeLimitExceededException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: BranchNameRequiredException_1.BranchNameRequiredException
        },
        {
            shape: InvalidBranchNameException_1.InvalidBranchNameException
        },
        {
            shape: BranchDoesNotExistException_1.BranchDoesNotExistException
        },
        {
            shape: BranchNameIsTagNameException_1.BranchNameIsTagNameException
        },
        {
            shape: InvalidFileModeException_1.InvalidFileModeException
        },
        {
            shape: NameLengthExceededException_1.NameLengthExceededException
        },
        {
            shape: InvalidEmailException_1.InvalidEmailException
        },
        {
            shape: CommitMessageLengthExceededException_1.CommitMessageLengthExceededException
        },
        {
            shape: InvalidDeletionParameterException_1.InvalidDeletionParameterException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: SameFileContentException_1.SameFileContentException
        },
        {
            shape: FileNameConflictsWithDirectoryNameException_1.FileNameConflictsWithDirectoryNameException
        },
        {
            shape: DirectoryNameConflictsWithFileNameException_1.DirectoryNameConflictsWithFileNameException
        },
        {
            shape: FilePathConflictsWithSubmodulePathException_1.FilePathConflictsWithSubmodulePathException
        }
    ]
};
//# sourceMappingURL=PutFile.js.map