"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagResourceInput_1 = require("../shapes/UntagResourceInput");
var UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var ResourceArnRequiredException_1 = require("../shapes/ResourceArnRequiredException");
var InvalidResourceArnException_1 = require("../shapes/InvalidResourceArnException");
var TagKeysListRequiredException_1 = require("../shapes/TagKeysListRequiredException");
var InvalidTagKeysListException_1 = require("../shapes/InvalidTagKeysListException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var InvalidSystemTagUsageException_1 = require("../shapes/InvalidSystemTagUsageException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: ResourceArnRequiredException_1.ResourceArnRequiredException
        },
        {
            shape: InvalidResourceArnException_1.InvalidResourceArnException
        },
        {
            shape: TagKeysListRequiredException_1.TagKeysListRequiredException
        },
        {
            shape: InvalidTagKeysListException_1.InvalidTagKeysListException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: InvalidSystemTagUsageException_1.InvalidSystemTagUsageException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map