"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateDefaultBranchInput_1 = require("../shapes/UpdateDefaultBranchInput");
var UpdateDefaultBranchOutput_1 = require("../shapes/UpdateDefaultBranchOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var BranchNameRequiredException_1 = require("../shapes/BranchNameRequiredException");
var InvalidBranchNameException_1 = require("../shapes/InvalidBranchNameException");
var BranchDoesNotExistException_1 = require("../shapes/BranchDoesNotExistException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDefaultBranch = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDefaultBranch",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateDefaultBranchInput_1.UpdateDefaultBranchInput
    },
    output: {
        shape: UpdateDefaultBranchOutput_1.UpdateDefaultBranchOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: BranchNameRequiredException_1.BranchNameRequiredException
        },
        {
            shape: InvalidBranchNameException_1.InvalidBranchNameException
        },
        {
            shape: BranchDoesNotExistException_1.BranchDoesNotExistException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=UpdateDefaultBranch.js.map