"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdatePullRequestTitleInput_1 = require("../shapes/UpdatePullRequestTitleInput");
var UpdatePullRequestTitleOutput_1 = require("../shapes/UpdatePullRequestTitleOutput");
var PullRequestDoesNotExistException_1 = require("../shapes/PullRequestDoesNotExistException");
var InvalidPullRequestIdException_1 = require("../shapes/InvalidPullRequestIdException");
var PullRequestIdRequiredException_1 = require("../shapes/PullRequestIdRequiredException");
var TitleRequiredException_1 = require("../shapes/TitleRequiredException");
var InvalidTitleException_1 = require("../shapes/InvalidTitleException");
var PullRequestAlreadyClosedException_1 = require("../shapes/PullRequestAlreadyClosedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePullRequestTitle = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePullRequestTitle",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdatePullRequestTitleInput_1.UpdatePullRequestTitleInput
    },
    output: {
        shape: UpdatePullRequestTitleOutput_1.UpdatePullRequestTitleOutput
    },
    errors: [
        {
            shape: PullRequestDoesNotExistException_1.PullRequestDoesNotExistException
        },
        {
            shape: InvalidPullRequestIdException_1.InvalidPullRequestIdException
        },
        {
            shape: PullRequestIdRequiredException_1.PullRequestIdRequiredException
        },
        {
            shape: TitleRequiredException_1.TitleRequiredException
        },
        {
            shape: InvalidTitleException_1.InvalidTitleException
        },
        {
            shape: PullRequestAlreadyClosedException_1.PullRequestAlreadyClosedException
        }
    ]
};
//# sourceMappingURL=UpdatePullRequestTitle.js.map