"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateRepositoryDescriptionInput_1 = require("../shapes/UpdateRepositoryDescriptionInput");
var UpdateRepositoryDescriptionOutput_1 = require("../shapes/UpdateRepositoryDescriptionOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var InvalidRepositoryDescriptionException_1 = require("../shapes/InvalidRepositoryDescriptionException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRepositoryDescription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRepositoryDescription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateRepositoryDescriptionInput_1.UpdateRepositoryDescriptionInput
    },
    output: {
        shape: UpdateRepositoryDescriptionOutput_1.UpdateRepositoryDescriptionOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: InvalidRepositoryDescriptionException_1.InvalidRepositoryDescriptionException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=UpdateRepositoryDescription.js.map